﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion


namespace HeuristicLab.Hive.Contracts {
  public enum ResponseStatus {
    Ok,

    RequestSnapshot_JobIsNotBeeingCalculated, // ApplicationConstants.RESPONSE_JOB_REQUEST_ALLREADY_SET
    RequestSnapshot_SnapshotAlreadyRequested, // ApplicationConstants.RESPONSE_JOB_IS_NOT_BEEING_CALCULATED

    GetJobById_JobDoesNotExist, // ApplicationConstants.RESPONSE_JOB_JOB_DOESNT_EXIST

    GetJobByIdWithDetails_JobDoesNotExist, // ApplicationConstants.RESPONSE_JOB_JOB_DOESNT_EXIST

    AddNewJob_InvalidJobState, // ApplicationConstants.RESPONSE_JOB_JOBSTATE_MUST_BE_OFFLINE
    AddNewJob_JobIdMustNotBeSet, // ApplicationConstants.RESPONSE_JOB_ID_MUST_NOT_BE_SET
    AddNewJob_JobNull, // ApplicationConstants.RESPONSE_JOB_JOB_NULL

    RemoveJob_JobDoesNotExist, // ApplicationConstants.RESPONSE_JOB_JOB_DOESNT_EXIST

    GetSnapshotResult_JobResultNotYetThere, // ApplicationConstants.RESPONSE_JOB_RESULT_NOT_YET_HERE

    AbortJob_JobDoesNotExist, // ApplicationConstants.RESPONSE_JOB_JOB_DOESNT_EXIST
    AbortJob_AbortAlreadyRequested, // ApplicationConstants.RESPONSE_JOB_ABORT_REQUEST_ALLREADY_SET
    AbortJob_JobIsNotBeeingCalculated, // ApplicationConstants.RESPONSE_JOB_IS_NOT_BEEING_CALCULATED

    GetCalendar_ResourceDoesNotExist, // ApplicationConstants.RESPONSE_CLIENT_RESOURCE_NOT_FOUND
    GetCalendar_NoCalendarFound, // ApplicationConstants.RESPONSE_UPTIMECALENDAR_NO_CALENDAR_FOUND

    SetCalendarStatus_ResourceDoesNotExist, // ApplicationConstants.RESPONSE_CLIENT_RESOURCE_NOT_FOUND

    ProcessHeartBeat_UserNotLoggedIn, // ApplicationConstants.RESPONSE_COMMUNICATOR_USER_NOT_LOGGED_IN

    GetJob_NoJobsAvailable, // ApplicationConstants.RESPONSE_COMMUNICATOR_NO_JOBS_LEFT

    ProcessJobResult_JobDoesNotExist, // ApplicationConstants.RESPONSE_COMMUNICATOR_NO_JOB_WITH_THIS_ID
    ProcessJobResult_JobAborted, // ApplicationConstants.RESPONSE_COMMUNICATOR_JOB_WAS_ABORTED
    ProcessJobResult_JobIsNotBeeingCalculated, // ApplicationConstants.RESPONSE_COMMUNICATOR_JOB_IS_NOT_BEEING_CALCULATED
    ProcessJobResult_WrongSlaveForJob, // ApplicationConstants.RESPONSE_COMMUNICATOR_WRONG_CLIENT_FOR_JOB
    ProcessJobResult_InvalidJobState, // ApplicationConstants.RESPONSE_COMMUNICATOR_WRONG_JOB_STATE

    Login_LoginFaild, // ApplicationConstants.RESPONSE_SERVERCONSOLE_LOGIN_FAILED

    Logout_SlaveNotRegistered, // ApplicationConstants.RESPONSE_COMMUNICATOR_LOGOUT_CLIENT_NOT_REGISTERED

    IsJobStillNeeded_JobDoesNotExist, // ApplicationConstants.RESPONSE_COMMUNICATOR_JOB_DOESNT_EXIST
    IsJobStillNeeded_JobAlreadyFinished, // ApplicationConstants.RESPONSE_COMMUNICATOR_JOB_ALLREADY_FINISHED

    GetPlugins_PluginsNotAvailable, // ApplicationConstants.RESPONSE_COMMUNICATOR_PLUGINS_NOT_AVAIL

    AddSlaveGroup_SlaveIdMustNotBeSet, // ApplicationConstants.RESPONSE_CLIENT_ID_MUST_NOT_BE_SET

    AddResourceToGroup_SlaveGroupDoesNotExist, // ApplicationConstants.RESPONSE_CLIENT_CLIENTGROUP_DOESNT_EXIST

    DeleteResourceFromGroup_SlaveGroupDoesNotExist, // ApplicationConstants.RESPONSE_CLIENT_CLIENTGROUP_DOESNT_EXIST

    GetAllGroupsOfResource_ResourceDoesNotExist, // ApplicationConstants.RESPONSE_CLIENT_RESOURCE_NOT_FOUND

    DeleteSlaveGroup_SlaveGroupDoesNotExist, // ApplicationConstants.RESPONSE_CLIENT_CLIENTGROUP_DOESNT_EXIST

    GetLastSerializedResult_JobDoesNotExist,
    DeleteHiveExperiment_Failed,
    DeleteChildJobs_Failed,
  }
}
