﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;

namespace HeuristicLab.Hive.Server {
  public partial class MainForm : Form {
    public MainForm(IEnumerable<Uri> addresses) {
      InitializeComponent();

      StringBuilder servicesTxt = new StringBuilder();
      foreach (Uri uri in addresses) {
        servicesTxt.AppendLine(uri.ToString());
      }

      rtfServices.AppendText(servicesTxt.ToString());

      ni.Icon = HeuristicLab.Common.Resources.HeuristicLab.Icon;
      ni.BalloonTipTitle = "HL Hive Server Services";
      ni.BalloonTipText = servicesTxt.ToString();
      ni.BalloonTipIcon = ToolTipIcon.Info;
      ni.Text = "HL Hive Server Services";
      ni.ShowBalloonTip(10000);
    }

    private void CloseApp(object sender, EventArgs e) {
      this.Dispose();
      Application.Exit();
    }

    private void ShowInfo(object sender, EventArgs e) {
      this.Visible = true;
    }

    private void MainForm_FormClosing(object sender, FormClosingEventArgs e) {
      e.Cancel = true;
      this.Visible = false;
    }

    private void ni_MouseClick(object sender, MouseEventArgs e) {
      ShowInfo(sender, e);
    }
  }
}
